Update a document pack Run in API Explorer
Ask AI
PUT
/api/v1/document-pack/document-pack/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/document-pack/document-pack/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"name":"Terms and Conditions","description":"Terms and Conditions for our services","is_template":true}'
Request examples
{
"name": "Terms and Conditions",
"description": "Terms and Conditions for our services",
"is_template": true
}
Response examples (200)
{
"data": [
{
"uuid": "01069910-a44e-4dd7-855c-a193f2bd3a67",
"created_at": "2026-07-20T09:57:24+01:00",
"updated_at": "2026-07-20T09:57:24+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "424caffc-fd2b-4bdf-91d5-2dc4bee6d259",
"created_at": "2026-07-20T09:57:24+01:00",
"updated_at": "2026-07-20T09:57:24+01:00",
"valued_at": "2026-07-20T09:57:24+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "bfee9001-beda-45f3-abcb-15b5e38e7d02",
"created_at": "2026-07-20T09:57:30+01:00",
"updated_at": "2026-07-20T09:57:30+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "9bd59c5d-df8b-4d72-a376-ac052090f024",
"created_at": "2026-07-20T09:57:24+01:00",
"updated_at": "2026-07-20T09:57:24+01:00",
"is_proposed": true,
"proposed_at": "2026-07-20T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
]
}